openapi: "3.0.0" info: title: "API Noise emission" version: "1.1.1" description: Welcome to the documentation of the Noise API
The HTTP API is versioned with a single number, which is currently 1
The first number symbolizes the major version number. New features can be added to the API in the same version number if there is no breaking change.
The version number is present in the url, for instance /noise/api/v1 for the current version.
You can find the complete documentation for our API at Developers Platform.
Create an account to receive your FREE key in under a minute!
Additionally, explore our pricing plans, access support, view detailed documentation, and follow our comprehensive tutorials.
Every endpoints of this API require authentication using an API key.
If you don't have an API Key and you need to use the Noise emission API, you need to ask Sinay to have one.
To use the API Key, you must add a header named API_KEY with your API Key as a value.
To test the API using Swagger-ui, you must click on the button Authorize and then fill the apiKey field and click on Authorize.
Swagger-ui will then use the api key automatically in each request.
On every endpoints, you can click on Try it out, you can modify the body and then click on Execute
You will be able to see the response.
This endpoint is used to compute the SEL and noises emissions in multiple frequencies of a vessel during its journey from a port to another port and compare them to the recommended thresholds.
To identify the vessel, you can use the IMO (International Maritime Organization) or the MMSI (Maritime Mobile Service Identity).
You can set up the departure port using its 5 digits UN Locode. Please make sure it is a Locode for a port.
You can set up the arrival port using its 5 digits UN Locode. Please make sure it is a Locode for a port.
The response will give you an estimation of the SEL and booleans indicating if the noise emitted is above the recommended thresholds for this voyage.
To achieve this result, we model the journey from port to port of this vessel using our data models. We also use our database of ships to model their physical characteristics to estimate their emission of noise.
The duration response is in milliseconds (ms).
The sel response is in pascal squared second (Pa².s).
requestBody: required: true content: application/json: schema: "$ref": "#/components/schemas/computeNoiseRequest" examples: noise: summary: "Compute Noise" value: vessel: imo: 9706906 departure: portCode: "FRLEH" arrival: portCode: "ESBCN" responses: '200': description:Successful Response
content: application/json: schema: "$ref": "#/components/schemas/computeNoiseResponse" '400': description: Validation Error content: application/json: schema: "$ref": "#/components/schemas/errorInfo" "/usages": get: parameters: - $ref: '#/components/parameters/usageStartTime' - $ref: '#/components/parameters/usageEndTime' operationId: "retrieveUsages" summary: "Retrieve your monthly usages" description:The endpoint allows you to retrieve your monthly usages of the API
tags: - Usage responses: '200': description: "The monthly usages" content: application/json: schema: $ref: '#/components/schemas/usagesResponse' '401': $ref: '#/components/responses/unauthorized' '500': $ref: '#/components/responses/internalServerError' default: $ref: '#/components/responses/default' components: schemas: usagesResponse: type: object required: - allCalls - successCalls - clientErrorCalls - serverErrorCalls - consumedApiUnits properties: allCalls: $ref: '#/components/schemas/numberOfCalls' successCalls: $ref: '#/components/schemas/numberOfCalls' clientErrorCalls: $ref: '#/components/schemas/numberOfCalls' serverErrorCalls: $ref: '#/components/schemas/numberOfCalls' consumedApiUnits: $ref: '#/components/schemas/numberOfCalls' periodicUsages: $ref: '#/components/schemas/periodicUsages' example: allCalls: 15 successCalls: 13 clientErrorCalls: 1 serverErrorCalls: 1 consumedApiUnits: 25 periodicUsages: 2022-05: allCalls: 15 successCalls: 13 clientErrorCalls: 1 serverErrorCalls: 1 consumedApiUnits: 25 periodicUsages: type: object additionalProperties: $ref: '#/components/schemas/periodicUsage' periodicUsage: type: object required: - allCalls - successCalls - clientErrorCalls - serverErrorCalls - consumedApiUnits properties: allCalls: $ref: '#/components/schemas/numberOfCalls' successCalls: $ref: '#/components/schemas/numberOfCalls' clientErrorCalls: $ref: '#/components/schemas/numberOfCalls' serverErrorCalls: $ref: '#/components/schemas/numberOfCalls' consumedApiUnits: $ref: '#/components/schemas/numberOfCalls' numberOfCalls: type: integer format: int64 computeNoiseRequest: type: object required: - departure - arrival - vessel properties: departure: description: "departure information for noise request" allOf: - $ref: "#/components/schemas/noisePort" vessel: description: "Vessel information for noise request" allOf: - $ref: "#/components/schemas/noiseVessel" arrival: description: "arrival info for noise request" allOf: - $ref: "#/components/schemas/noisePort" noiseVessel: type: object maxProperties: 1 minProperties: 1 properties: imo: type: integer format: int64 description: "mmsi vessel information" mmsi: type: integer format: int64 description: "imo vessel information" noisePort: type: object required: - portCode properties: portCode: type: string description: "Port code" computeNoiseResponse: description: "noise response from computing" type: object properties: input: allOf: - $ref: '#/components/schemas/computeNoiseRequest' sel: type: number format: double duration: type: integer format: int32 isAboveRecommendedThresholds: type: object properties: LloydsTransit: type: boolean BureauVeritasStandard: type: boolean example: input: vessel: imo: 9706906 departure: portCode: FRLEH arrival: portCode: ESBCN sel: 264.982187824978 duration: 455088169 isAboveRecommendedThresholds: LloydsTransit: true BureauVeritasStandard: false errorInfo: type: object required: - errorCode - message - details - time properties: errorCode: type: integer format: int32 message: type: string details: type: array items: type: string time: type: string format: date-time parameters: usageStartTime: in: query name: startTime required: false schema: type: string format: date-time description: Start time at which usages must be found usageEndTime: in: query name: endTime required: false schema: type: string format: date-time description: End time at which usages must be found responses: badRequest: description: The body in the request is not correct content: application/json: schema: $ref: '#/components/schemas/errorInfo' internalServerError: description: An error occurred on server side content: application/json: schema: $ref: '#/components/schemas/errorInfo' notFound: description: The resource has not been found content: application/json: schema: $ref: '#/components/schemas/errorInfo' conflict: description: The resource already exists content: application/json: schema: $ref: '#/components/schemas/errorInfo' unauthorized: description: The authentication failed content: application/json: schema: $ref: '#/components/schemas/errorInfo' default: description: default content: application/json: schema: $ref: '#/components/schemas/errorInfo' securitySchemes: ApiKey: type: apiKey in: header name: API_KEY security: - ApiKey: [ ]